Package org.flowable.cmmn.model

# Class Case

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.Case

All Implemented Interfaces:
  `HasExtensionAttributes`, `HasLifecycleListeners`

public class Case extends CmmnElement implements HasLifecycleListeners

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,CaseElement>`
  `allCaseElements`
  `protected boolean`
  `async`
  `protected List<String>`
  `candidateStarterGroups`
  `protected List<String>`
  `candidateStarterUsers`
  `protected String`
  `initiatorVariableName`
  `protected List<FlowableListener>`
  `lifecycleListeners`
  `protected String`
  `name`
  `protected Stage`
  `planModel`
  `protected ReactivateEventListener`
  `reactivateEventListener`
  Having a reactivation case listener marks the case eligible for reactivation once completed.
  `protected String`
  `startEventType`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Case()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T extends PlanItemDefinition>
  List<T>`
  `findPlanItemDefinitionsOfType(Class<T> type)`
  `Map<String,CaseElement>`
  `getAllCaseElements()`
  `List<String>`
  `getCandidateStarterGroups()`
  `List<String>`
  `getCandidateStarterUsers()`
  `String`
  `getInitiatorVariableName()`
  `List<FlowableListener>`
  `getLifecycleListeners()`
  `String`
  `getName()`
  `Stage`
  `getPlanModel()`
  `ReactivateEventListener`
  `getReactivateEventListener()`
  `String`
  `getStartEventType()`
  `boolean`
  `isAsync()`
  `void`
  `setAllCaseElements(Map<String,CaseElement> allCaseElements)`
  `void`
  `setAsync(boolean async)`
  `void`
  `setCandidateStarterGroups(List<String> candidateStarterGroups)`
  `void`
  `setCandidateStarterUsers(List<String> candidateStarterUsers)`
  `void`
  `setInitiatorVariableName(String initiatorVariableName)`
  `void`
  `setLifecycleListeners(List<FlowableListener> lifecycleListeners)`
  `void`
  `setName(String name)`
  `void`
  `setPlanModel(Stage planModel)`
  `void`
  `setReactivateEventListener(ReactivateEventListener reactivateEventListener)`
  `void`
  `setStartEventType(String startEventType)`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### initiatorVariableName

    protected String initiatorVariableName

  - ### planModel

    protected Stage planModel

  - ### startEventType

    protected String startEventType

  - ### candidateStarterUsers

    protected List<String> candidateStarterUsers

  - ### candidateStarterGroups

    protected List<String> candidateStarterGroups

  - ### async

    protected boolean async

  - ### allCaseElements

    protected Map<String,CaseElement> allCaseElements

  - ### lifecycleListeners

    protected List<FlowableListener> lifecycleListeners

  - ### reactivateEventListener

    protected ReactivateEventListener reactivateEventListener
    Having a reactivation case listener marks the case eligible for reactivation once completed.

- ## Constructor Details

  - ### Case

    public Case()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getInitiatorVariableName

    public String getInitiatorVariableName()

  - ### setInitiatorVariableName

    public void setInitiatorVariableName(String initiatorVariableName)

  - ### getPlanModel

    public Stage getPlanModel()

  - ### setPlanModel

    public void setPlanModel(Stage planModel)

  - ### getStartEventType

    public String getStartEventType()

  - ### setStartEventType

    public void setStartEventType(String startEventType)

  - ### getCandidateStarterUsers

    public List<String> getCandidateStarterUsers()

  - ### setCandidateStarterUsers

    public void setCandidateStarterUsers(List<String> candidateStarterUsers)

  - ### getCandidateStarterGroups

    public List<String> getCandidateStarterGroups()

  - ### setCandidateStarterGroups

    public void setCandidateStarterGroups(List<String> candidateStarterGroups)

  - ### isAsync

    public boolean isAsync()

  - ### setAsync

    public void setAsync(boolean async)

  - ### getAllCaseElements

    public Map<String,CaseElement> getAllCaseElements()

  - ### setAllCaseElements

    public void setAllCaseElements(Map<String,CaseElement> allCaseElements)

  - ### findPlanItemDefinitionsOfType

    public <T extends PlanItemDefinition> List<T> findPlanItemDefinitionsOfType(Class<T> type)

  - ### getReactivateEventListener

    public ReactivateEventListener getReactivateEventListener()

  - ### setReactivateEventListener

    public void setReactivateEventListener(ReactivateEventListener reactivateEventListener)

  - ### getLifecycleListeners

    public List<FlowableListener> getLifecycleListeners()
    Specified by:
      `getLifecycleListeners` in interface `HasLifecycleListeners`

  - ### setLifecycleListeners

    public void setLifecycleListeners(List<FlowableListener> lifecycleListeners)
    Specified by:
      `setLifecycleListeners` in interface `HasLifecycleListeners`